Bug 539988 - SELinux is preventing /usr/sbin/snort-plain "create" access.
Summary: SELinux is preventing /usr/sbin/snort-plain "create" access.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:b59ae4e05dc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-21 20:55 UTC by Jim Tourville
Modified: 2010-01-31 20:29 UTC (History)
7 users (show)

Fixed In Version: 3.6.32-49.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-01 16:41:00 UTC


Attachments (Terms of Use)

Description Jim Tourville 2009-11-21 20:55:53 UTC
Summary:

SELinux is preventing /usr/sbin/snort-plain "create" access.

Detailed Description:

SELinux denied access requested by snort. It is not expected that this access is
required by snort and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                system_u:system_r:snort_t:s0
Target Context                system_u:system_r:snort_t:s0
Target Objects                None [ socket ]
Source                        snort
Source Path                   /usr/sbin/snort-plain
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           snort-2.8.5.1-1.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-41.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.5-127.fc12.i686.PAE #1 SMP Sat
                              Nov 7 21:25:57 EST 2009 i686 i686
Alert Count                   3
First Seen                    Fri 20 Nov 2009 03:35:41 PM MST
Last Seen                     Sat 21 Nov 2009 12:27:40 PM MST
Local ID                      3962b6ec-f0b2-4bfe-88ca-08ce9b2a409b
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1258831660.410:7): avc:  denied  { create } for  pid=1159 comm="snort" scontext=system_u:system_r:snort_t:s0 tcontext=system_u:system_r:snort_t:s0 tclass=socket

node=(removed) type=SYSCALL msg=audit(1258831660.410:7): arch=40000003 syscall=102 success=no exit=-13 a0=1 a1=bfd6a400 a2=4b16748 a3=bfd6a54c items=0 ppid=1158 pid=1159 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="snort" exe="/usr/sbin/snort-plain" subj=system_u:system_r:snort_t:s0 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,catchall,snort,snort_t,snort_t,socket,create
audit2allow suggests:

#============= snort_t ==============
allow snort_t self:socket create;

Comment 1 Daniel Walsh 2009-11-23 15:22:51 UTC
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-48.fc12.noarch

Comment 2 Fedora Update System 2009-11-23 23:39:35 UTC
selinux-policy-3.6.32-49.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-49.fc12

Comment 3 Fedora Update System 2009-11-25 15:22:54 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12131

Comment 4 Fedora Update System 2009-12-02 04:34:04 UTC
selinux-policy-3.6.32-49.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.